org.tmatesoft.svn.core.wc2.hooks

## Interface ISvnCommitHandler

    public interface ISvnCommitHandler

Implementing this interface allows to manage commit log messages for items to be committed in a common transaction.

The interface defines the only one method which takes the initial log message and an array of items that are intended for a commit. For example, an implementor's code can process those items and add some generated additional comment to that one passed into the method. There could be plenty of scenarios.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  `DefaultSVNCommitHandler`

### Method Summary

Methods
`java.lang.String` `getCommitMessage(java.lang.String message, SvnCommitItem[] commitables)` Handles the incoming initial log message and items intended for a commit and returns a new commit log message.
`SVNProperties` `getRevisionProperties(java.lang.String message, SvnCommitItem[] commitables, SVNProperties revisionProperties)` Handles the incoming revision properties and returns filtered revision properties given the paths (represented by `commitables`) collected for committing and the commit log message.

### Method Detail

#### getCommitMessage

    java.lang.String getCommitMessage(java.lang.String message,
                                    SvnCommitItem[] commitables)
                                      throws SVNException

Handles the incoming initial log message and items intended for a commit and returns a new commit log message.

Parameters:
  `message` - an initial log message
  `commitables` - an array of items to be committed
Returns:
  a new log message string or `null` to cancel commit operation.
Throws:
  `SVNException`

#### getRevisionProperties

    SVNProperties getRevisionProperties(java.lang.String message,
                                      SvnCommitItem[] commitables,
                                      SVNProperties revisionProperties)
                                        throws SVNException

Handles the incoming revision properties and returns filtered revision properties given the paths (represented by `commitables`) collected for committing and the commit log message.

Only the returned filtered revision properties will be set on a new committed revision.

Parameters:
  `message` - log message for commit
  `commitables` - paths to commit
  `revisionProperties` - initial revision properties
Returns:
  filtered revision properties
Throws:
  `SVNException`